RK-J - Feature #3219

Change interface for extension and snippet
09/24/2023 01:26 PM - Ram Kordale

Status: Closed Start date: 09/24/2023
Priority: Immediate Due date: 09/28/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 6.00 hours
Description

Instead of showing it on the top right, let us change it to the familiar chatbot model that shows up in the bottom right.

Closed state: Instead of showing the arrow and cross etc, let us show only "ChatGPT Plus +".

Starting behaviour: Instead of opening left and closing right, open top and clode bottom. When opening, show "ChatGPT Plus +"
<newline> Want to know more about anything? <newline> Highlight the text <newline> OR <newline> Ask here"

Colors: Black background with white text [Generic because it needs to work on all sites]

Behaviour: 1. open when page loads 2. Closes after 3 seconds or when big X button is clicked.

Everything else: Showing what we show now and in that same manner should be fine.

History

#1 - 09/25/2023 04:39 AM - Ayanava Karmakar

- Status changed from New to In Progress

#2 - 09/25/2023 05:41 AM - Ayanava Karmakar
- % Done changed from 0 to 20

#3 - 09/25/2023 06:24 AM - Ram Kordale
- Subject changed from First modal for extension and snippet to Change interface for extension and snippet

- Description updated

#4 - 09/25/2023 06:27 AM - Ram Kordale
- Description updated

#5 - 09/25/2023 06:27 AM - Ayanava Karmakar
- % Done changed from 20 to 0

#6 - 09/25/2023 07:45 AM - Ayanava Karmakar
- % Done changed from 0 to 10

#7 - 09/25/2023 08:07 AM - Ayanava Karmakar
- % Done changed from 10 to 20

#8 - 09/25/2023 09:07 AM - Ayanava Karmakar
- % Done changed from 20 to 30

#9 - 09/25/2023 11:12 AM - Ayanava Karmakar

(1) when page loads show 'button view', expand (for 3 secs or X click), get back to button view
(2) if user clicks on button, show copilot
(3) remove right arrow in copilot (4) if user clicks minimize, get back to button view

#10 - 09/25/2023 12:29 PM - Ayanava Karmakar
- % Done changed from 30 to 50
#11 - 09/26/2023 12:06 PM - Ayanava Karmakar

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

#12 - 09/28/2023 09:59 AM - Ayush Khandelwal

- Due date set to 09/28/2023

- Status changed from In Progress to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale

- % Done changed from 50 to 100
Working as expected

#13 - 09/29/2023 04:39 AM - Ram Kordale
- Status changed from Feedback to Closed

03/29/2025

22


http://www.tcpdf.org

